## python-openstackclient 3.14.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
six>=1.10.0 # MIT

Babel!=2.4.0,>=2.3.4 # BSD
cliff!=2.9.0,>=2.8.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0
openstacksdk>=0.9.19 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (3.14.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Feb 2018 09:30:43 -0500

python-openstackclient (3.13.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Jan 2018 08:20:51 -0500

=== debian/control ===
Source: python-openstackclient
Testsuite: autopkgtest
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 gustavo panizzo <gfa@zumbi.com.ar>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-aodhclient (>= 0.9.0),
 python-babel (>= 2.3.4),
 python-barbicanclient (>= 4.0.0),
 python-cinderclient (>= 1:3.3.0),
 python-cliff (>= 2.8.0),
 python-congressclient (>= 1.9.0),
 python-coverage (>= 4.0),
 python-crypto,
 python-designateclient (>= 2.7.0),
 python-fixtures (>= 3.0.0),
 python-glanceclient (>= 1:2.8.0),
 python-gnocchiclient (>= 3.3.1),
 python-hacking (>= 0.12.0),
 python-heatclient (>= 1.10.0),
 python-ironic-inspector-client (>= 1.5.0),
 python-ironicclient (>= 1.14.0),
 python-keyring,
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-mistralclient (>= 1:3.1.0),
 python-mock (>= 2.0.0),
 python-muranoclient (>= 0.8.2),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackdocstheme (>= 1.18.1),
 python-openstacksdk (>= 0.9.19),
 python-os-client-config (>= 1.28.0),
 python-os-testr (>= 1.0.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-saharaclient (>= 1.4.0),
 python-senlinclient (>= 1.1.0),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 python-tempest (>= 1:17.1.0),
 python-testrepository (>= 0.0.18),
 python-testtools (>= 2.2.0),
 python-troveclient (>= 1:2.2.0),
 python-wrapt (>= 1.7.0),
 python-zaqarclient (>= 1.0.0),
 python-zunclient (>= 0.2.0),
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.0.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 2.8.0),
 python3-congressclient (>= 1.9.0),
 python3-coverage (>= 4.0),
 python3-crypto,
 python3-designateclient (>= 2.7.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-hacking (>= 0.12.0),
 python3-heatclient (>= 1.10.0),
 python3-ironic-inspector-client (>= 1.5.0),
 python3-ironicclient (>= 1.14.0),
 python3-keyring,
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-muranoclient (>= 0.8.2),
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-openstacksdk (>= 0.9.19),
 python3-os-client-config (>= 1.28.0),
 python3-os-testr (>= 1.0.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1.0),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 python3-troveclient (>= 1:2.2.0),
 python3-wrapt (>= 1.7.0),
 python3-zaqarclient (>= 1.0.0),
 python3-zunclient (>= 0.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstackclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstackclient
Homepage: http://wiki.openstack.org/OpenStackClient

Package: python-openstackclient
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-cinderclient (>= 1:3.3.0),
 python-cliff (>= 2.8.0),
 python-crypto,
 python-glanceclient (>= 1:2.8.0),
 python-keyring,
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-openstacksdk (>= 0.9.19),
 python-os-client-config (>= 1.28.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Recommends:
 ${python:Recommends},
Description: OpenStack Command-line Client - Python 2.7
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 2.7 module.

Package: python-openstackclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Breaks:
 python-openstackclient (<< 2.0.0-2~),
Replaces:
 python-openstackclient (<< 2.0.0-2~),
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

Package: python3-openstackclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 2.8.0),
 python3-crypto,
 python3-glanceclient (>= 1:2.8.0),
 python3-keyring,
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstacksdk (>= 0.9.19),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

## python-openstackclient 3.14.2

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,>=1.6.2 # BSD

=== debian/changelog ===
python-openstackclient (3.14.2-0ubuntu1) bionic; urgency=medium

  * d/gbp.conf: Create stable/queens branch.
  * New stable point release for OpenStack Queens (LP: #1800490).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Nov 2018 08:38:38 -0500

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build build .testrepository doc/source/api

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-openstackclient-doc/usr/share/doc/python-openstackclient-doc/html
	dh_sphinxdoc -O--buildsystem=python2
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	dh_installman
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/tests/control ===
Tests: openstackclient
Depends: @
Restrictions: needs-root, allow-stderr

## python-openstackclient 3.16.1

=== debian/changelog ===
python-openstackclient (3.16.1-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sun, 07 Oct 2018 22:45:01 +0000

python-openstackclient (3.16.1-0ubuntu1) cosmic; urgency=medium

  * New stable point release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 04 Oct 2018 12:33:47 -0400

python-openstackclient (3.16.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Drop sphinxcontrib.apidoc extension
    until package is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Aug 2018 15:27:19 -0400

python-openstackclient (3.15.0-0ubuntu2) cosmic; urgency=medium

  * d/tests/*: Switch to our standard client dep8 tests instead of using
    openstack-deploy.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 20 Jun 2018 08:49:23 -0400

python-openstackclient (3.15.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-output-encoding.patch: Dropped. Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jun 2018 11:16:58 -0400

python-openstackclient (3.14.2-1) unstable; urgency=medium

  [ Michal Arbet ]
  * New upstream version
  * Add bash completion for openstackclient
  * Edit d/control to use openstack-pkg-tools >= 71

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Jun 2018 17:47:44 +0200

python-openstackclient (3.14.0-6) unstable; urgency=medium

  * Update "openstack log show" encoding patch after merge upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Mar 2018 00:26:32 +0100

python-openstackclient (3.14.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove Testsuite field, not needed anymore

  [ Thomas Goirand ]
  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 18:33:32 +0000

python-openstackclient (3.14.0-4) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 13:15:25 +0100

python-openstackclient (3.14.0-3) unstable; urgency=medium

  * Make python-zunclient in the <!nodoc> pool.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2018 22:22:29 +0000

python-openstackclient (3.14.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:55:15 +0000

python-openstackclient (3.14.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 22:51:34 +0000

python-openstackclient (3.12.0-3) unstable; urgency=medium

  * Add patch to fix output encoding that simply crashes the client.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Feb 2018 09:31:36 +0100

python-openstackclient (3.12.0-2) unstable; urgency=medium

  * Uploading to unstable:
    - Fix FTBFS with Python 3.6 (Closes: #867508).

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Oct 2017 17:47:25 +0100

python-openstackclient (3.12.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Using pkgos-dh_auto_{test,install}.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 14:36:21 +0200

python-openstackclient (2.3.0-4) unstable; urgency=medium

  * Add Testsuite field to debian/control

 -- gustavo panizzo <gfa@zumbi.com.ar>  Wed, 20 Jul 2016 14:17:10 +0800

python-openstackclient (2.3.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ gustavo panizzo ]
  * Add autopkgtest tests

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 19 Jul 2016 19:28:31 +0800

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 gustavo panizzo <gfa@zumbi.com.ar>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 71),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.5),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python-aodhclient (>= 0.9.0) <!nodoc>,
 python-babel (>= 2.3.4),
 python-barbicanclient (>= 4.5.2) <!nodoc>,
 python-cinderclient (>= 1:3.3.0),
 python-cliff (>= 2.8.0),
 python-congressclient (>= 1.9.0) <!nodoc>,
 python-coverage (>= 4.0),
 python-crypto,
 python-designateclient (>= 2.7.0) <!nodoc>,
 python-fixtures (>= 3.0.0),
 python-glanceclient (>= 1:2.8.0),
 python-gnocchiclient (>= 3.3.1) <!nodoc>,
 python-hacking (>= 0.12.0),
 python-heatclient (>= 1.10.0) <!nodoc>,
 python-ironic-inspector-client (>= 1.5.0) <!nodoc>,
 python-ironicclient (>= 2.3.0) <!nodoc>,
 python-karborclient (>= 0.6.0) <!nodoc>,
 python-keyring,
 python-keystoneauth1 (>= 3.4.0),
 python-keystoneclient (>= 1:3.17.0),
 python-mistralclient (>= 1:3.1.0) <!nodoc>,
 python-mock (>= 2.0.0),
 python-muranoclient (>= 0.8.2) <!nodoc>,
 python-neutronclient (>= 1:6.7.0) <!nodoc>,
 python-novaclient (>= 2:9.1.0),
 python-octaviaclient (>= 1.3.0) <!nodoc>,
 python-openstackdocstheme (>= 1.18.1),
 python-openstacksdk (>= 0.11.2),
 python-os-client-config (>= 1.28.0),
 python-osc-lib (>= 1.11.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 1.2.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.2.0),
 python-saharaclient (>= 1.4.0) <!nodoc>,
 python-searchlightclient (>= 1.0.0) <!nodoc>,
 python-senlinclient (>= 1.1.0) <!nodoc>,
 python-six (>= 1.10.0),
 python-stestr (>= 1.0.0),
 python-stevedore (>= 1:1.20.0),
 python-tempest (>= 1:17.1.0),
 python-testtools (>= 2.2.0),
 python-troveclient (>= 1:2.2.0) <!nodoc>,
 python-wrapt (>= 1.7.0),
 python-zaqarclient (>= 1.0.0) <!nodoc>,
 python-zunclient (>= 1.3.0) <!nodoc>,
 python3-aodhclient (>= 0.9.0) <!nodoc>,
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2) <!nodoc>,
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 2.8.0),
 python3-congressclient (>= 1.9.0) <!nodoc>,
 python3-coverage (>= 4.0),
 python3-crypto,
 python3-designateclient (>= 2.7.0) <!nodoc>,
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1) <!nodoc>,
 python3-hacking (>= 0.12.0),
 python3-heatclient (>= 1.10.0) <!nodoc>,
 python3-ironic-inspector-client (>= 1.5.0) <!nodoc>,
 python3-ironicclient (>= 2.3.0) <!nodoc>,
 python3-karborclient (>= 0.6.0) <!nodoc>,
 python3-keyring,
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.17.0),
 python3-mistralclient (>= 1:3.1.0) <!nodoc>,
 python3-mock (>= 2.0.0),
 python3-muranoclient (>= 0.8.2) <!nodoc>,
 python3-neutronclient (>= 1:6.7.0) <!nodoc>,
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.3.0) <!nodoc>,
 python3-openstackdocstheme (>= 1.18.1),
 python3-openstacksdk (>= 0.11.2),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.11.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 1.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-saharaclient (>= 1.4.0) <!nodoc>,
 python3-searchlightclient (>= 1.0.0) <!nodoc>,
 python3-senlinclient (>= 1.1.0) <!nodoc>,
 python3-six (>= 1.10.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testtools (>= 2.2.0),
 python3-troveclient (>= 1:2.2.0) <!nodoc>,
 python3-wrapt (>= 1.7.0),
 python3-zaqarclient (>= 1.0.0) <!nodoc>,
 python3-zunclient (>= 1.3.0) <!nodoc>,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstackclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstackclient
Homepage: http://wiki.openstack.org/OpenStackClient
Testsuite: autopkgtest-pkg-python

Package: python-openstackclient
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-cinderclient (>= 1:3.3.0),
 python-cliff (>= 2.8.0),
 python-crypto,
 python-glanceclient (>= 1:2.8.0),
 python-keyring,
 python-keystoneauth1 (>= 3.4.0),
 python-keystoneclient (>= 1:3.17.0),
 python-neutronclient (>= 1:2.6.0),
 python-novaclient (>= 2:9.1.0),
 python-openstacksdk (>= 0.11.2),
 python-osc-lib (>= 1.11.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 1.2.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Recommends:
 ${python:Recommends},
Description: OpenStack Command-line Client - Python 2.7
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 2.7 module.

Package: python-openstackclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

Package: python3-openstackclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 2.8.0),
 python3-crypto,
 python3-glanceclient (>= 1:2.8.0),
 python3-keyring,
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.17.0),
 python3-neutronclient (>= 1:2.6.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstacksdk (>= 0.11.2),
 python3-osc-lib (>= 1.11.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 1.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

	# Generate bash completion
	pkgos-gen-completion --py3 openstack

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build build .testrepository doc/source/api

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'openstackclient\.tests\.(?!(.*test_shell\.TestShellCli\.test_shell_args_precedence.*|.*test_shell\.TestShellCliEnv\.test_shell_args_precedence_.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-openstackclient-doc/usr/share/doc/python-openstackclient-doc/html
	dh_sphinxdoc -O--buildsystem=python2
endif

override_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: client
Depends: python-openstackclient

Tests: client
Depends: python3-openstackclient

## python-openstackclient 3.16.2

=== requirements.txt ===
--- 
+++ 
@@ -6,12 +6,12 @@
 
 Babel!=2.4.0,>=2.3.4 # BSD
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
-keystoneauth1>=3.3.0 # Apache-2.0
-openstacksdk>=0.9.19 # Apache-2.0
-osc-lib>=1.8.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
+openstacksdk>=0.11.2 # Apache-2.0
+osc-lib>=1.10.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
-python-keystoneclient>=3.8.0 # Apache-2.0
+python-keystoneclient>=3.17.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 python-cinderclient>=3.3.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (3.16.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Thomas Goirand ]
  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Feb 2019 09:20:30 +0100

python-openstackclient (3.16.0-3) unstable; urgency=high

  * Remove the test suite which is doing apt-get, and that isn't advised.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Sep 2018 09:36:40 +0200

python-openstackclient (3.16.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 09:53:53 +0200

python-openstackclient (3.16.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Building sphinx doc with Python 3.
  * Remove fix-output-encoding.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 15:31:26 +0200

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 gustavo panizzo <gfa@zumbi.com.ar>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 71),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel,
 python-cinderclient (>= 1:3.3.0),
 python-cliff (>= 2.8.0),
 python-coverage,
 python-crypto,
 python-fixtures,
 python-glanceclient (>= 1:2.8.0),
 python-hacking (>= 0.10.0),
 python-keyring,
 python-keystoneauth1 (>= 3.4.0),
 python-keystoneclient (>= 1:3.17.0),
 python-mock <!nocheck>,
 python-novaclient (>= 2:9.1.0),
 python-openstacksdk (>= 0.11.2),
 python-os-client-config (>= 1.28.0),
 python-osc-lib (>= 1.11.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 1.2.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0) <!nocheck>,
 python-osprofiler (>= 1.4.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.2.0) <!nocheck>,
 python-six,
 python-stestr <!nocheck>,
 python-stevedore (>= 1.20.0),
 python-tempest (>= 1:17.1.0) <!nocheck>,
 python-testtools (>= 2.2.0) <!nocheck>,
 python-wrapt,
 python3-aodhclient (>= 0.9.0) <!nodoc>,
 python3-babel,
 python3-barbicanclient (>= 4.5.2) <!nodoc>,
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 2.8.0),
 python3-congressclient (>= 1.9.0) <!nodoc>,
 python3-coverage,
 python3-crypto,
 python3-designateclient (>= 2.7.0) <!nodoc>,
 python3-fixtures,
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1) <!nodoc>,
 python3-heatclient (>= 1.10.0) <!nodoc>,
 python3-ironic-inspector-client (>= 1.5.0) <!nodoc>,
 python3-ironicclient (>= 2.3.0) <!nodoc>,
 python3-karborclient (>= 0.6.0) <!nodoc>,
 python3-keyring,
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.17.0),
 python3-mistralclient (>= 3.1.0) <!nodoc>,
 python3-mock <!nocheck>,
 python3-muranoclient (>= 0.8.2) <!nodoc>,
 python3-neutronclient (>= 1:6.7.0) <!nodoc>,
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.3.0) <!nodoc>,
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-openstacksdk (>= 0.11.2),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.11.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 1.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0) <!nocheck>,
 python3-osprofiler (>= 1.4.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-saharaclient (>= 1.4.0) <!nodoc>,
 python3-searchlightclient (>= 1.0.0) <!nodoc>,
 python3-senlinclient (>= 1.1.0) <!nodoc>,
 python3-six,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-stestr <!nocheck>,
 python3-stevedore (>= 1.20.0),
 python3-subunit <!nocheck>,
 python3-tempest (>= 1:17.1.0) <!nocheck>,
 python3-testtools (>= 2.2.0) <!nocheck>,
 python3-troveclient (>= 2.2.0) <!nodoc>,
 python3-wrapt,
 python3-zaqarclient (>= 1.0.0) <!nodoc>,
 python3-zunclient (>= 1.3.0) <!nodoc>,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-openstackclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-openstackclient.git
Homepage: http://wiki.openstack.org/OpenStackClient

Package: python-openstackclient
Architecture: all
Depends:
 python-babel,
 python-cinderclient (>= 1:3.3.0),
 python-cliff (>= 2.8.0),
 python-crypto,
 python-glanceclient (>= 1:2.8.0),
 python-keyring,
 python-keystoneauth1 (>= 3.4.0),
 python-keystoneclient (>= 1:3.17.0),
 python-neutronclient (>= 1:2.6.0),
 python-novaclient (>= 2:9.1.0),
 python-openstacksdk (>= 0.11.2),
 python-osc-lib (>= 1.11.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 1.2.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-six,
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Recommends:
 ${python:Recommends},
Description: OpenStack Command-line Client - Python 2.7
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 2.7 module.

Package: python-openstackclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

Package: python3-openstackclient
Architecture: all
Depends:
 python3-babel,
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 2.8.0),
 python3-crypto,
 python3-glanceclient (>= 1:2.8.0),
 python3-keyring,
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.17.0),
 python3-neutronclient (>= 1:2.6.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstacksdk (>= 0.11.2),
 python3-osc-lib (>= 1.11.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 1.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -22,14 +22,14 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b man doc/source doc/build/man
-	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-openstackclient-doc/usr/share/doc/python-openstackclient-doc/html
+	python3 -m sphinx -b man doc/source doc/build/man
+	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-openstackclient-doc/usr/share/doc/python-openstackclient-doc/html
 	dh_sphinxdoc -O--buildsystem=python2
 endif
 
 override_dh_installman:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b man doc/source doc/build/man
+	python3 -m sphinx -b man doc/source doc/build/man
 	dh_installman
 endif

## python-openstackclient 3.18.0

=== requirements.txt ===
--- 
+++ 
@@ -6,12 +6,12 @@
 
 Babel!=2.4.0,>=2.3.4 # BSD
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
-keystoneauth1>=3.4.0 # Apache-2.0
-openstacksdk>=0.11.2 # Apache-2.0
+keystoneauth1>=3.6.2 # Apache-2.0
+openstacksdk>=0.17.0 # Apache-2.0
 osc-lib>=1.10.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
 python-keystoneclient>=3.17.0 # Apache-2.0
-python-novaclient>=9.1.0 # Apache-2.0
+python-novaclient>=10.0.0 # Apache-2.0
 python-cinderclient>=3.3.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (3.18.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 23:46:31 +0200

python-openstackclient (3.18.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2019 22:49:35 +0100

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 gustavo panizzo <gfa@zumbi.com.ar>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 71),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-aodhclient (>= 0.9.0) <!nodoc>,
 python3-babel,
 python3-barbicanclient (>= 4.5.2) <!nodoc>,
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 2.8.0),
 python3-congressclient (>= 1.9.0) <!nodoc>,
 python3-coverage,
 python3-crypto,
 python3-designateclient (>= 2.7.0) <!nodoc>,
 python3-fixtures,
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1) <!nodoc>,
 python3-hacking,
 python3-heatclient (>= 1.10.0) <!nodoc>,
 python3-ironic-inspector-client (>= 1.5.0) <!nodoc>,
 python3-ironicclient (>= 2.3.0) <!nodoc>,
 python3-karborclient (>= 0.6.0) <!nodoc>,
 python3-keyring,
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.17.0),
 python3-mistralclient (>= 3.1.0) <!nodoc>,
 python3-mock <!nocheck>,
 python3-muranoclient (>= 0.8.2) <!nodoc>,
 python3-neutronclient (>= 1:6.7.0) <!nodoc>,
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.3.0) <!nodoc>,
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-openstacksdk (>= 0.11.2),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.11.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 1.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0) <!nocheck>,
 python3-osprofiler (>= 1.4.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-saharaclient (>= 1.4.0) <!nodoc>,
 python3-searchlightclient (>= 1.0.0) <!nodoc>,
 python3-senlinclient (>= 1.1.0) <!nodoc>,
 python3-six,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-stestr <!nocheck>,
 python3-stevedore (>= 1.20.0),
 python3-subunit <!nocheck>,
 python3-tempest (>= 1:17.1.0) <!nocheck>,
 python3-testtools (>= 2.2.0) <!nocheck>,
 python3-troveclient (>= 2.2.0) <!nodoc>,
 python3-wrapt,
 python3-zaqarclient (>= 1.0.0) <!nodoc>,
 python3-zunclient (>= 1.3.0) <!nodoc>,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-openstackclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-openstackclient.git
Homepage: http://wiki.openstack.org/OpenStackClient

Package: python-openstackclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

Package: python3-openstackclient
Architecture: all
Depends:
 python3-babel,
 python3-cinderclient,
 python3-cliff,
 python3-crypto,
 python3-glanceclient,
 python3-keyring,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-neutronclient,
 python3-novaclient,
 python3-openstacksdk,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

## python-openstackclient 4.0.0

=== requirements.txt ===
--- 
+++ 
@@ -8,10 +8,10 @@
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
 keystoneauth1>=3.6.2 # Apache-2.0
 openstacksdk>=0.17.0 # Apache-2.0
-osc-lib>=1.10.0 # Apache-2.0
+osc-lib>=1.14.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
 python-keystoneclient>=3.17.0 # Apache-2.0
-python-novaclient>=10.0.0 # Apache-2.0
+python-novaclient>=15.0.0 # Apache-2.0
 python-cinderclient>=3.3.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.23.2 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.5,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.5;python_version>='3.4' # BSD
sphinxcontrib-apidoc>=0.2.0 # BSD

=== debian/changelog ===
python-openstackclient (4.0.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 26 Sep 2019 02:10:15 +0000

python-openstackclient (4.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:23:09 -0400

python-openstackclient (3.19.0-0ubuntu2) eoan; urgency=medium

  * d/tests/control: Drop Python 2 autopkgtest now that we no longer
    have a Python 2 binary package.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Sep 2019 15:43:12 +0200

python-openstackclient (3.19.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:33:27 -0400

python-openstackclient (3.18.0-0ubuntu2) eoan; urgency=medium

  * d/control: Drop BDI's on python-* packages.
  * d/control: Drop python-openstackclient binary package.
  * d/*.postinst,prerm,postrm: Drop, alternatives no longer needed.
  * d/rules: Tweak to stop build and install of Python 2 parts.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 15 Jul 2019 10:03:02 +0100

python-openstackclient (3.18.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Mar 2019 16:37:25 -0400

python-openstackclient (3.17.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Droped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 10:15:56 -0500

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 gustavo panizzo <gfa@zumbi.com.ar>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 71),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python3-aodhclient (>= 0.9.0) <!nodoc>,
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2) <!nodoc>,
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 2.8.0),
 python3-congressclient (>= 1.9.0) <!nodoc>,
 python3-coverage (>= 4.0),
 python3-crypto,
 python3-designateclient (>= 2.7.0) <!nodoc>,
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1) <!nodoc>,
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.10.0) <!nodoc>,
 python3-ironic-inspector-client (>= 1.5.0) <!nodoc>,
 python3-ironicclient (>= 2.3.0) <!nodoc>,
 python3-karborclient (>= 0.6.0) <!nodoc>,
 python3-keyring,
 python3-keystoneauth1 (>= 3.6.2),
 python3-keystoneclient (>= 1:3.17.0),
 python3-mistralclient (>= 1:3.1.0) <!nodoc>,
 python3-mock (>= 2.0.0),
 python3-muranoclient (>= 0.8.2) <!nodoc>,
 python3-neutronclient (>= 1:6.7.0) <!nodoc>,
 python3-novaclient (>= 2:15.0.0),
 python3-octaviaclient (>= 1.3.0) <!nodoc>,
 python3-openstackdocstheme (>= 1.23.2),
 python3-openstacksdk (>= 0.17.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.14.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 1.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-saharaclient (>= 1.4.0) <!nodoc>,
 python3-searchlightclient (>= 1.0.0) <!nodoc>,
 python3-senlinclient (>= 1.1.0) <!nodoc>,
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testtools (>= 2.2.0),
 python3-troveclient (>= 1:2.2.0) <!nodoc>,
 python3-wrapt (>= 1.7.0),
 python3-zaqarclient (>= 1.0.0) <!nodoc>,
 python3-zunclient (>= 3.4.0) <!nodoc>,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstackclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstackclient
Homepage: http://wiki.openstack.org/OpenStackClient
Testsuite: autopkgtest-pkg-python

Package: python-openstackclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

Package: python3-openstackclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 2.8.0),
 python3-crypto,
 python3-glanceclient (>= 1:2.8.0),
 python3-keyring,
 python3-keystoneauth1 (>= 3.6.2),
 python3-keystoneclient (>= 1:3.17.0),
 python3-neutronclient (>= 1:2.6.0),
 python3-novaclient (>= 2:15.0.0),
 python3-openstacksdk (>= 0.17.0),
 python3-osc-lib (>= 1.14.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 1.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/tests/control ===
Tests: client
Depends: python3-openstackclient
